# std::extents<IndexType,Extents...>::dynamic-index

From cppreference.com
< cpp‎ | container‎ | mdspan‎ | extents

private: static constexpr auto /*dynamic-index*/( rank_type i ) noexcept; |  | (since C++23) (exposition only*)

Returns the number of dynamic extents below index i. If i <= rank() is false, the behavior is undefined.

### Parameters

i | - | the index

### Return value

The number of `Er` with `r < i` for which `Er` is a dynamic extent.

### See also

| This section is incomplete

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/container/mdspan/extents/dynamic-index&oldid=178729"